import { PluginItem } from '@babel/core';
import { Entry } from 'webpack';
import { ProxyConfigMap, ProxyConfigArray } from 'webpack-dev-server';
import { Options } from './start';
import { Configuration } from './getWebpackConfig';
interface WebpackFunc {
    (config?: Configuration): void;
}
export interface RcbConfig {
    host?: string;
    port?: number;
    proxy?: ProxyConfigMap | ProxyConfigArray;
    mock?: MockConfig;
    babelPresets?: PluginItem[] | null;
    babelPlugins?: PluginItem[] | null;
    output?: any;
    entry?: Entry;
    devtool?: Configuration['devtool'];
    alias?: {
        [key: string]: string;
    };
    open?: boolean;
    webpackPluginConfig?: any;
    webpack?: Configuration | WebpackFunc;
    transpileDependencies?: any[];
    additionalModulePaths?: any[];
    esModuleImage?: boolean;
    moduleFederationPlugin?: any;
}
export interface MockConfig {
    rootDir: string;
    api: string;
    whiteList: string[];
}
export declare function getRcbConfig(): RcbConfig;
export declare function getMockConfig(rcb: RcbConfig): any;
export default function getExtraConfig(options?: Options): {
    webpack: import("webpack").Configuration;
    babel: {};
    rcb: RcbConfig;
};
export {};
