"use strict";
var __spreadArray = (this && this.__spreadArray) || function (to, from) {
    for (var i = 0, il = from.length, j = to.length; i < il; i++, j++)
        to[j] = from[i];
    return to;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var path_1 = __importDefault(require("path"));
var utils_1 = __importDefault(require("./utils"));
function getPath(fileName) {
    var basePath = __dirname;
    return path_1.default.resolve(basePath, fileName);
}
function getLoader(filePath) {
    var args = [];
    for (var _i = 1; _i < arguments.length; _i++) {
        args[_i - 1] = arguments[_i];
    }
    var getLoaderFn = utils_1.default.requireModule(filePath);
    if (utils_1.default.isFunction(getLoaderFn)) {
        return getLoaderFn.apply(void 0, args);
    }
    return {};
}
function getLoaders() {
    var args = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        args[_i] = arguments[_i];
    }
    var configPath = getPath('getLoaderConfig');
    return [
        getLoader.apply(void 0, __spreadArray([configPath + '/disabledMjsLoader'], args)),
        {
            oneOf: [
                'getCssLoader',
                'getLessLoader',
                'getTsLoader',
                'getBabelLoader',
                'getDevBabelLoader',
                'getUrlLoader',
                'getFileLoader',
            ].map(function (p) {
                return getLoader.apply(void 0, __spreadArray([configPath + '/' + p], args));
            })
        }
    ];
}
exports.default = getLoaders;
;
