import { RcbConfig } from '../getConfig';
import utils from '../utils';
export default function getFileLoader(rcb: RcbConfig) {
    return ({
        loader: require.resolve('file-loader'),
        exclude: [/(^|\.(svg|js|jsx|ts|tsx|html))$/],
        options: {
            name: utils.isDev()
                ? 'images/[name].[ext]?[contenthash]'
                : '/images/[name].[ext]?[contenthash]',
            esModule: rcb.esModuleImage || false
        },
        type: 'javascript/auto'
    });
}
