import { RcbConfig } from '../getConfig';
import getCssLoader from './getCssLoader';
const lessRegex = /\.less$/;

export default function getLessLoader(rcb: RcbConfig) {
    return ({
        test: lessRegex,
        use: getCssLoader.getStyleLoader(rcb, {
            loader: require.resolve('less-loader'),
            options: {
                sourceMap: true,
                lessOptions: {
                    javascriptEnabled: true,
                    math: 'always'
                }
            }
        })
    });
};
